Subject: bug#39379: 27.0.60; Fix for #38457 broke ido-vertical-mode

From: Eli Zaretskii <[email-masked]>
Date: Wed, 05 Feb 2020 05:36:23 +0200

> Cc: [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Wed, 5 Feb 2020 02:55:00 +0300
> 
> Anyway, since you insist, I've pushed that change.

Thanks.

> > If the test for the leading newline is there, the reason is quite
> > obvious, and we can have a comment for those who don't know enough
> > about the 'cursor' property and cursor positioning.  I think the
> > result will more obvious than a mysterious concatenation of a blank in
> > ido-vertical-mode, which will need a comment explaining it as well.
> 
> Yes, ok. Although our general policy, I think, is that external packages 
> that use questionable practices (such as redefining functions, instead 
> of using whatever available public customization points there are) are 
> generally left to their own devices.

True.  But I think this case is somewhat special, as ido-exhibit
handles the completion list in a way that cannot be easily guessed in
advance.